<?php
/**
* Header Banner Options.
*
* @package Training Institute Academy
*/

$training_institute_academy_default = training_institute_academy_get_default_theme_options();
$training_institute_academy_post_category_list = training_institute_academy_post_category_list();

$wp_customize->add_section( 'training_institute_academy_header_slider_setting',
    array(
    'title'      => esc_html__( 'Slider Settings', 'training-institute-academy' ),
    'priority'   => 10,
    'capability' => 'edit_theme_options',
    'panel'      => 'training_institute_academy_theme_home_pannel',
    )
);

// Show/Hide Site Logo
$wp_customize->add_setting('training_institute_academy_display_logo', array(
    'default'           => false,
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'training_institute_academy_sanitize_checkbox',
));
$wp_customize->add_control('training_institute_academy_display_logo', array(
    'label'    => esc_html__('Enable / Disable Site Logo', 'training-institute-academy'),
    'section'  => 'title_tagline',
    'type'     => 'checkbox',
));

// Show/Hide Site Title
$wp_customize->add_setting('training_institute_academy_display_title', array(
    'default'           => true,
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'training_institute_academy_sanitize_checkbox',
));
$wp_customize->add_control('training_institute_academy_display_title', array(
    'label'    => esc_html__('Enable / Disable Site Title', 'training-institute-academy'),
    'section'  => 'title_tagline',
    'type'     => 'checkbox',
));

// Show/Hide Site Tagline
$wp_customize->add_setting('training_institute_academy_display_header_text',
    array(
        'default'           => false,
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'training_institute_academy_sanitize_checkbox',
    )
);
$wp_customize->add_control('training_institute_academy_display_header_text',
    array(
        'label' => esc_html__('Enable / Disable Site Tagline', 'training-institute-academy'),
        'section' => 'title_tagline',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('training_institute_academy_header_slider',
    array(
        'default' => $training_institute_academy_default['training_institute_academy_header_slider'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'training_institute_academy_sanitize_checkbox',
    )
);
$wp_customize->add_control('training_institute_academy_header_slider',
    array(
        'label' => esc_html__('Enable Slider', 'training-institute-academy'),
        'section' => 'training_institute_academy_header_slider_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('training_institute_academy_banner_background_image',
    array(
        'default' => $training_institute_academy_default['training_institute_academy_banner_background_image'],
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control( $wp_customize,'training_institute_academy_banner_background_image',
        array(
            'label' => __('Slider Background Image','training-institute-academy'),
            'section' => 'training_institute_academy_header_slider_setting',
            'settings' => 'training_institute_academy_banner_background_image',
        )
    )
);

$wp_customize->add_setting( 'training_institute_academy_slider_section_short_title',
    array(
    'default'           => $training_institute_academy_default['training_institute_academy_slider_section_short_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'training_institute_academy_slider_section_short_title',
    array(
    'label'    => esc_html__( 'Slider Short Title', 'training-institute-academy' ),
    'section'  => 'training_institute_academy_header_slider_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'training_institute_academy_header_banner_cat',
    array(
    'default'           => '',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'training_institute_academy_sanitize_select',
    )
);
$wp_customize->add_control( 'training_institute_academy_header_banner_cat',
    array(
    'label'       => esc_html__( 'Slider Post Left Category', 'training-institute-academy' ),
    'section'     => 'training_institute_academy_header_slider_setting',
    'type'        => 'select',
    'choices'     => $training_institute_academy_post_category_list,
    )
);


$wp_customize->add_setting( 'training_institute_academy_slider_section_button',
    array(
    'default'           => $training_institute_academy_default['training_institute_academy_slider_section_button'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'training_institute_academy_slider_section_button',
    array(
    'label'    => esc_html__( 'Banner 2 Button Text', 'training-institute-academy' ),
    'section'  => 'training_institute_academy_header_slider_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'training_institute_academy_slider_section_button_url',
    array(
    'default'           => $training_institute_academy_default['training_institute_academy_slider_section_button_url'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'training_institute_academy_slider_section_button_url',
    array(
    'label'    => esc_html__( 'Banner 2 Button URL', 'training-institute-academy' ),
    'section'  => 'training_institute_academy_header_slider_setting',
    'type'     => 'url',
    )
);

// About Us Settings

$wp_customize->add_section( 'training_institute_academy_about_us_setting',
    array(
    'title'      => esc_html__( 'About Us Settings', 'training-institute-academy' ),
    'priority'   => 10,
    'capability' => 'edit_theme_options',
    'panel'      => 'training_institute_academy_theme_home_pannel',
    )
);

$wp_customize->add_setting('training_institute_academy_header_about_us',
    array(
        'default' => $training_institute_academy_default['training_institute_academy_header_about_us'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'training_institute_academy_sanitize_checkbox',
    )
);
$wp_customize->add_control('training_institute_academy_header_about_us',
    array(
        'label' => esc_html__('Enable About Us', 'training-institute-academy'),
        'section' => 'training_institute_academy_about_us_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('training_institute_academy_about_us_left_image_1',
    array(
        'default' => $training_institute_academy_default['training_institute_academy_about_us_left_image_1'],
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control( $wp_customize,'training_institute_academy_about_us_left_image_1',
        array(
            'label' => __('About Us Left Image 1','training-institute-academy'),
            'section' => 'training_institute_academy_about_us_setting',
            'settings' => 'training_institute_academy_about_us_left_image_1',
        )
    )
);

$wp_customize->add_setting('training_institute_academy_about_us_left_image_2',
    array(
        'default' => $training_institute_academy_default['training_institute_academy_about_us_left_image_2'],
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control( $wp_customize,'training_institute_academy_about_us_left_image_2',
        array(
            'label' => __('About Us Left Image 2','training-institute-academy'),
            'section' => 'training_institute_academy_about_us_setting',
            'settings' => 'training_institute_academy_about_us_left_image_2',
        )
    )
);

$wp_customize->add_setting('training_institute_academy_about_us_left_image_3',
    array(
        'default' => $training_institute_academy_default['training_institute_academy_about_us_left_image_2'],
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control( $wp_customize,'training_institute_academy_about_us_left_image_3',
        array(
            'label' => __('About Us Left Image 3','training-institute-academy'),
            'section' => 'training_institute_academy_about_us_setting',
            'settings' => 'training_institute_academy_about_us_left_image_3',
        )
    )
);

$wp_customize->add_setting( 'training_institute_academy_about_us_section_title',
    array(
    'default'           => $training_institute_academy_default['training_institute_academy_about_us_section_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'training_institute_academy_about_us_section_title',
    array(
    'label'    => esc_html__( 'About Us Short Title', 'training-institute-academy' ),
    'section'  => 'training_institute_academy_about_us_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'training_institute_academy_about_us_section_sub_title',
    array(
    'default'           => $training_institute_academy_default['training_institute_academy_about_us_section_sub_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'training_institute_academy_about_us_section_sub_title',
    array(
    'label'    => esc_html__( 'About Us Heading', 'training-institute-academy' ),
    'section'  => 'training_institute_academy_about_us_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'training_institute_academy_about_us_section_content',
    array(
    'default'           => $training_institute_academy_default['training_institute_academy_about_us_section_content'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'training_institute_academy_about_us_section_content',
    array(
    'label'    => esc_html__( 'About Us Content', 'training-institute-academy' ),
    'section'  => 'training_institute_academy_about_us_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'training_institute_academy_about_us_button_title',
    array(
    'default'           => $training_institute_academy_default['training_institute_academy_about_us_button_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'training_institute_academy_about_us_button_title',
    array(
    'label'    => esc_html__( 'About Us Button Text', 'training-institute-academy' ),
    'section'  => 'training_institute_academy_about_us_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'training_institute_academy_about_us_button_url',
    array(
    'default'           => $training_institute_academy_default['training_institute_academy_about_us_button_url'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'training_institute_academy_about_us_button_url',
    array(
    'label'    => esc_html__( 'About Us Button URL', 'training-institute-academy' ),
    'section'  => 'training_institute_academy_about_us_setting',
    'type'     => 'url',
    )
);
